;-- R:\KERNEL~1.25U\KSTUB824.DLL --;

Exports
 I6A=Kstub824.dll.I6A @1 ; 0x00001087
 IAS=Kstub824.dll.IAS @2 ; 0x0000103A
 IUS=Kstub824.dll.IUS @3 ; 0x0000105F
 get_api_table=Kstub824.dll.get_api_table @4 ; 0x000010F5

[Advapi32.dll]
 I_ScPnPGetServiceName
 ImpersonateAnonymousToken
 RegSetKeyValueW

[Avicap32.dll]
 capCreateCaptureWindowW
 capGetDriverDescriptionW

[Gdi32.dll]
 GdiChoosePixelFormat
 GdiDescribePixelFormat
 GdiGetPixelFormat
 GdiReleaseDC
 GdiSetPixelFormat
 GdiSwapBuffers

[Kernel32.dll]
 BaseCheckAppcompatCache
 BaseCleanupAppcompatCache
 BaseDumpAppcompatCache
 BaseFlushAppcompatCache
 BaseInitAppcompatCache
 BaseIsAppcompatInfrastructureDisabled
 BaseUpdateAppcompatCache
 EnumCalendarInfoExEx
 GetActiveProcessorCount
 GetActiveProcessorGroupCount
 GetConsoleProcessList
 GetFinalPathNameByHandleW
 GetMaximumProcessorCount
 GetMaximumProcessorGroupCount
 GetThreadIOPendingFlag
 K32GetModuleFileNameExW
 K32GetPerformanceInfo
 K32GetProcessImageFileNameW
 K32GetProcessMemoryInfo

[Lz32.dll]
 GetExpandedNameW
 HrLanConnectionNameFromGuidOrPath
 LZOpenFileW
 SymEnumTypes
 SymGetTypeInfo
 SymLoadModuleEx
 SymQueryInlineTrace
 WinHttpGetIEProxyConfigForCurrentUser
 WinHttpGetProxyForUrl
 WinHttpOpen

[Mshtml.dll]
 ClearPhishingFilterData

[Msvcr70.dll]
 _ftol2
 _ftol2_sse

[Msvcrt.dll]
 _ftol2
 _ftol2_sse
 _strtoi64
 _strtoui64
 _wcstoi64
 _wcstoui64

[Netapi32.dll]
 NetAccessAdd
 NetAccessCheck
 NetAccessDel
 NetAccessEnum
 NetAccessGetInfo
 NetAccessGetUserPerms
 NetAccessSetInfo
 NetShareEnum
 NetShareGetInfo

[Ntdll.dll]
 NtReplyWaitReceivePortEx
 NtSecureConnectPort
 RtlClearBits
 RtlCompareMemoryUlong
 RtlCompareString
 RtlDeregisterWait
 RtlDeregisterWaitEx
 RtlDllShutdownInProgress
 RtlDoesFileExists_U
 RtlDowncaseUnicodeString
 RtlEqualString
 RtlFillMemoryUlong
 RtlFindClearBitsAndSet
 RtlGetFullPathName_U
 RtlGetNativeSystemInformation
 RtlImpersonateSelf
 RtlIntegerToChar
 RtlNtPathNameToDosPathName
 RtlRegisterWait
 RtlSetBits
 RtlStringFromGUID
 ZwReplyWaitReplyPort
 _itoa_s
 _vscwprintf
 strcpy_s
 wcscat_s
 wcscpy_s
 wcsncpy_s
 wcsnlen

[Setupapi.dll]
 CM_Query_And_Remove_SubTreeW
 CM_Request_Device_EjectA
 CM_Request_Device_EjectW

[Shlwapi.dll]
 AssocQueryStringW
 IsCharSpaceA
 PathCreateFromUrlAlloc
 PathUndecorateW
 SHCreateThreadRef
 ShellMessageBoxA
 StrStrNIW

[Urlmon.dll]
 CoInternetSetFeatureEnabled

[User32.dll]
 CloseGestureInfoHandle
 GetGestureConfig
 GetGestureExtraArgs
 GetGestureInfo
 SetGestureConfig

[WINTRUST.dll]
 TrustIsCertificateSelfSigned
 WTHelperCertCheckValidSignature

[WS2_32.DLL]
 WSAGetLastError
 inet_ntop
 inet_pton
